org.eclipse.oomph.setup.util

## Class OS

- java.lang.Object
- - org.eclipse.oomph.setup.util.OS

-     public abstract class OS
      extends Object

  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static OS` | `INSTANCE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `OS(String osgiOS, String osgiWS, String osgiArch)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `close(Closeable closeable)`
    `String` | `getEclipseDir()`
    `abstract String` | `getEclipseExecutable()`
    `abstract String` | `getEclipseIni()`
    `protected String` | `getEncoding()`
    `abstract String` | `getGitPrefix()`
    `abstract String` | `getJREsRoot()`
    `String` | `getOsgiArch()`
    `String` | `getOsgiOS()`
    `String` | `getOsgiWS()`
    `boolean` | `isCurrent()`
    `boolean` | `isLineEndingConversionNeeded()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final OS INSTANCE

  - ### Constructor Detail

    - #### OS

          protected OS(String osgiOS,
            String osgiWS,
            String osgiArch)

  - ### Method Detail

    - #### getOsgiOS

          public String getOsgiOS()

    - #### getOsgiWS

          public String getOsgiWS()

    - #### getOsgiArch

          public String getOsgiArch()

    - #### isCurrent

          public boolean isCurrent()

    - #### isLineEndingConversionNeeded

          public boolean isLineEndingConversionNeeded()

    - #### getEncoding

          protected String getEncoding()

    - #### getEclipseDir

          public final String getEclipseDir()

    - #### getEclipseExecutable

          public abstract String getEclipseExecutable()

    - #### getEclipseIni

          public abstract String getEclipseIni()

    - #### getGitPrefix

          public abstract String getGitPrefix()

    - #### getJREsRoot

          public abstract String getJREsRoot()

    - #### close

          public static void close(Closeable closeable)

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html